org.eclipse.microprofile.metrics.tck.metrics

## Class SimpleTimerTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimpleTimerTest

    public class SimpleTimerTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimpleTimerTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `initData()`
`void` `testTime()`
`void` `testTimerRegistry()`
`void` `timesCallableInstances()`
`void` `timesRunnableInstances()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTimerTest

    public SimpleTimerTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### initData

    public void initData()

#### testTime

    @InSequence(value=1)
    public void testTime()
                                       throws Exception

Throws:
  `Exception`

#### testTimerRegistry

    @InSequence(value=2)
    public void testTimerRegistry()
                                                throws Exception

Throws:
  `Exception`

#### timesCallableInstances

    @InSequence(value=3)
    public void timesCallableInstances()
                                                     throws Exception

Throws:
  `Exception`

#### timesRunnableInstances

    @InSequence(value=4)
    public void timesRunnableInstances()
                                                     throws Exception

Throws:
  `Exception`